GetUserGroupsForAssets
UserGroupService
GetUserGroupsForAssets
Retrieves user groups for a list of assets.
GET
GetUserGroupsForAssets
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.siftstack.com/api/v2/user-groups:get-for-assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/user-groups:get-for-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/user-groups:get-for-assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userGroups": [
{
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
],
"roles": [
{
"roleId": "<string>",
"name": "<string>",
"description": "<string>",
"roleOrder": 123
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Retrieves user groups for a list of assets.
curl --request GET \
--url https://api.siftstack.com/api/v2/user-groups:get-for-assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/user-groups:get-for-assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/user-groups:get-for-assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userGroups": [
{
"name": "<string>",
"isDefault": true,
"isExternal": true,
"userGroupId": "<string>",
"roleId": "<string>",
"resources": {
"allAssets": true,
"assetIds": [
"<string>"
]
},
"userIds": [
"<string>"
]
}
],
"roles": [
{
"roleId": "<string>",
"name": "<string>",
"description": "<string>",
"roleOrder": 123
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?